Subject: [bug#64504] [PATCH] gnu: Add unsio.

From: Iliya Tikhonenko <[email-masked]>
Date: Mon, 14 Aug 2023 14:41:55 +0200

On 8/8/23 17:49, Andreas Enge wrote:
> Am Tue, Aug 08, 2023 at 01:37:14PM +0200 schrieb Iliya Tikhonenko:
>> On 8/8/23 11:29, Andreas Enge wrote:
>> The debug build type is unnecessary verbose (see src/uns.cc line 71-73 for
>> an example) to the point that it impacts performance sometimes, which is
>> important considering the usecase of the library.
> Okay, I have reinstated your line and added a comment.Fine, maybe "to disable debug printing" would sound slightly more clear, 
but I am not sure.

>> Checked again, I still cannot compile it without -DCMAKE_CXX_STANDARD=14
> I can... Patch attached.
Yeah, it builds now.
>     #:configure-flags #~(list "-DCMAKE_CXX_STANDARD=20")
> passes without these warnings. Should we add this?
> Although such constructs look a bit brittle to me, and it is not suggested by the author.
> 
> There is still the question about the lib64/ installation directory,
> I think this should be changed.

I think I am fine with both changes. I did a few quick tests and have 
not noticed any issues.

All the best,
Iliya